Subject: Re: net-next-2.6 phonet causes build error

From: Oliver Hartkopp <[email-masked]>
Date: Mon, 27 Jul 2009 17:30:12 +0200

Marcel Holtmann wrote:
> Hi Dave,
> 
>>>> net/phonet/pn_dev.c: In function ‘phonet_init_net’:
>>>> net/phonet/pn_dev.c:221: error: implicit declaration of function
>>>> ‘proc_net_fops_create’
>>>> net/phonet/pn_dev.c: In function ‘phonet_exit_net’:
>>>> net/phonet/pn_dev.c:242: error: implicit declaration of function
>>>> ‘proc_net_remove’
>>> Oops. This makes me wonder why I did not get that one here on my test 
>>> builds???
>> Because the headers on your platform with your configuration end up
>> including linux/proc_fs.h indirectly.
> 
> this and similar automatic includes on x86 are still a problem. I always
> try to compile test with a PPC based system, but even that architecture
> has a lot of indirect includes. I would be happy if we could get rid of
> these for x86 systems, but that seems a little bit wishful thinking.
> 

I second this. But in this special case i was using a x86 architecture, that
behaved correct.

Maybe one of the script wizards has an idea how to identify and /probably/ fix
these automatic includes ...

Regards,
Oliver